Skip to content
Pile
Esc
navigateopen⌘Jpreview

Update support customer companies

PUT/workspaces/{organizationId}/support/customers/{customerId}/companies
Path parameters
organizationIdstringrequired
customerIdstringrequired
Request body
application/json
companiesobject[]required
Show properties
Array of object
companyIdstringrequired
isPrimaryboolean
default: false
Responses
200Customer companies updated
customerobjectrequired
Show properties
idstringrequired
organizationIdstringrequired
userIdstring | nullrequired
externalIdstring | nullrequired
externalSourcestringrequired
emailstringrequired
fullNamestring | nullrequired
phonestring | nullrequired
createdAtstringrequired
updatedAtstringrequired
companiesobject[]required
Show properties
Array of object
idstringrequired
customerIdstringrequired
companyIdstringrequired
namestringrequired
isPrimarybooleanrequired
createdAtstringrequired
identitiesobject[]required
Show properties
Array of object
idstringrequired
customerIdstringrequired
typestringrequired
Allowed:emailphoneslackmsteamsdiscordwhatsappchatapisocialcustom
subTypestring | nullrequired
valuestringrequired
isPrimarybooleanrequired
createdAtstringrequired
Try it
Server
Parameters
Bodyapplication/json
Request
curl -X PUT "/workspaces/string/support/customers/string/companies" \
  -H "Content-Type: application/json" \
  -d '{
  "companies": [
    {
      "companyId": "string",
      "isPrimary": false
    }
  ]
}'
Response
{
  "customer": {
    "id": "string",
    "organizationId": "string",
    "userId": "string",
    "externalId": "string",
    "externalSource": "string",
    "email": "string",
    "fullName": "string",
    "phone": "string",
    "createdAt": "string",
    "updatedAt": "string",
    "companies": [
      {
        "id": "string",
        "customerId": "string",
        "companyId": "string",
        "name": "string",
        "isPrimary": true,
        "createdAt": "string"
      }
    ],
    "identities": [
      {
        "id": "string",
        "customerId": "string",
        "type": "email",
        "subType": "string",
        "value": "string",
        "isPrimary": true,
        "createdAt": "string"
      }
    ]
  }
}